| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | List of all members
IG.Forms.ValueChangeEventArgs Class Reference

Event arguments for events bearing information about a value of type double that has changed. More...

## Public Member Functions
| ValueChangeEventArgs ()
| Constructs event arguments with old and new value unspecified. See ValueChangeEventArgs{ValueType}ValueChangeEventArgs(). More...
| ValueChangeEventArgs (double oldValue, double newValue, bool oldValueDefined=true, bool newValueDefined=true)
| Constructs event args with specific old and new value (oldValue and newValue ). More...

## Detailed Description

Event arguments for events bearing information about a value of type double that has changed.

Old and new values should normally be set via constructor.

Fields New and Old contain the new and the old value of the item whose value has changed. Either of them can be defined or not, and flags NewDefined and OldDefined specify that.

See also the generic base class, ValueChangeEventArgs{ValueType}.

## Constructor & Destructor Documentation

IG.Forms.ValueChangeEventArgs.ValueChangeEventArgs | ( |  | ) |
| inline

Constructs event arguments with old and new value unspecified. See ValueChangeEventArgs{ValueType}ValueChangeEventArgs().

public ValueChangeEventArgs() : base() { }

Default constructor, leaves old and new values unspecified.

To specify new and old values in constructor, use ValuChangedEventArgs(double, double) or ValuChangedEventArgs(double old, double new, bool oldDefined, bool newDefined)

See also ValueChangeEventArgs{ValueType}()

IG.Forms.ValueChangeEventArgs.ValueChangeEventArgs | ( | double | oldValue,
|  | double | newValue,
|  | bool | oldValueDefined = `true`,
|  | bool | newValueDefined = `true`
| ) |  |
| inline

Constructs event args with specific old and new value (oldValue and newValue ).

Optional arguments oldValueDefined and newValueDefined can specify whether the values have actually been defined (default is true, so one can call constructor without these flags, implying that both old and new values are specified).

See also ValueChangeEventArgs{ValueType}().

Parameters

  oldValue | Old value of the item that has changed.
  newValue |
  oldValueDefined |
  newValueDefined |

The documentation for this class was generated from the following file:

- igforms/Basic/UtilEvents.cs